 -------------------------------------------------------------------------------
History File, 2004/02/27 G.A.P. Cirrone, Created
cirrone@lns.infn.it
https://twiki.cern.ch/twiki/bin/view/Geant4/AdvancedExamplesHadrontherapy
-------------------------------------------------------------------------------
 
         ====================================================
             History file of the Hadrontherapy application
         ====================================================

31.01.2019, I.Hrivnacova Tag: hadrontherapy-V10-04-10
      - Merged GitHub PR #4: all Boolean operators now return G4bool.

09.11.2018 G.Cosmo; Tag: hadrontherapy-V10-04-09
      - HadrontherapyDetectorConstruction: fixed typos in printout.

31.08.2018 G.A.P.Cirrone; Tag: hadrontherapy-V10-04-08
      - Updated user interface initialisation in hadrontherapy.cc

21.08.2018 G.A.P.Cirrone; Tag: hadrontherapy-V10-04-07
      - Try to fix another compilation error on Windows related to the visualisation

19.08.2018 G.A.P.Cirrone, G.Petringa, Z.Mei; Tag: hadrontherapy-V10-04-06
      - Fixed compilation erors in Windows
      - LET class completely renewed with new calculation approaches      

10.08.2018 G.A.P.Cirrone; hadrontherapy-V10-04-05
      - Trying to fix compilation error under Windows	

09.08.2018 G.A.P.Cirrone; Tag: hadrontherapy-V10-04-04
      - Updated History file;
      - Corrected the pow use in the RBE class trying so solve a compilation problem under Windows	

Tag: hadrontherapy-V10-04-03: History file not updated
Tag: hadrontherapy-V10-04-02: History file not updated

24.06.2018 G.A.P.Cirrone, G. Petringa; Tag: hadrontherapy-V10-04-01
      - Main file  cleaned;
      - The defaultMacro_vis.mac macro file was added: now, if no macro file is provided,
        the main will run defaultMacro.mac or defaultMacro_vis.mac depending
        if visualisation is activated or not
      - Added the function DefineMaterial() in DetectorConstruction to define materials
        either not contained in the NIST database
      - Added the Phase Space: PrimaryGenerator and DetectorSD modified
      - Added HadrontherapyRBE.cc;
	  - Removed g4analysis for LET and dose
	  - In HadrontherapyDetectorSD Added histograms for the energy deposited
	    and kinetic energy in the phantom slices;
	  - TrentoProtonPassiveBeamLine changed in TIFPAProtonPassiveBeamLine

22.05.2018 G.Cosmo; Tag: hadrontherapy-V10-04-00
	  - Replaced obsolete use if G4VisAttributes::Invisible with
            G4VisAttributes::GetInvisible().

26.10.2017 D.Sorokin; Tag: hadrontherapy-V10-03-11
	  - LaserDrivenBeamLine.cc build fix

24.06.2017 G.A.P.Cirrone; Tag: hadrontherapy-V10-03-10
	  - Added the batch.mac file 

23.06.2017 G.A.P.Cirrone; Tag: hadrontherapy-V10-03-09
	  - Removed the obsolete /experimentalData/iaeaBenchmark folder and batch.mac file
	  - Added the batch.mac file 

22.06.2017 G.A.P.Cirrone; Tag: hadrontherapy-V10-03-08
	  - Removed crash due to a bad pointer

22.06.2017 G.A.P.Cirrone; Tag: hadrontherapy-V10-03-07
	   - Physics list cleaned
	   - The local and obsolete ion-ion physics list has been removed

06.05.2017 G. Petringa, G.A.P. Cirrone, L. Pandola, F. Romano, F. Tommasino; Tag: hadrontherapy-V10-03-06 
           - Removed the SetCuts() method from the PhysicsList.cc
           — RippleFilter geometry on PassiveCarbonBeamLine
           — Added TIFPA beam line
 
28.03.2017 L. Pandola, G.Petringa, G.A.P.Cirrone, G. Cuttone; Tag: hadrontherapy-V10-03-05
	    - G4SetCuts definition added in the PhysicsList

27.03.2017 G.Petringa, G.A.P.Cirrone, G. Cuttone; Tag: hadrontherapy-V10-03-04
	    - Carbon beamline geometry corrected and updated and corresponding code 
              revised;
            - G4Region definition corrected

22.03.2017 G.Petringa, G.A.P.Cirrone; Tag: hadrontherapy-V10-03-03
            - Fixed cmakelist error
 
19.03.2017 G.Petringa, G.A.P.Cirrone; Tag: hadrontherapy-V10-03-02
	    - Carbon beam line geometry corrected and new modulators added 
07.02.2017 G.A.P.Cirrone, G.Petringa; Tag: hadrontherapy-V10-03-01
	    - Physics list corrected 
31.01.2017 G. Petringa, J.Pipek, L.Pandola, G.A.P.Cirrone; Tag: hadrontherapy-V10-03-00
           - HadrontherapyAnalysisManager.cc class deleted and G4tools inserted in HadrontherapyMatrix.cc class
           - Fixed Bugzilla #1879 (remaining edge cases)	    
19.05.2016 F. Romano, B. Jia Tag: hadrontherapy-V10-02-00
           - new modulator class implemented
31.10.2015 F. Romano, J. Pipek Tag: hadrontherapy-V10-01-03
           - general revisiion and commetns fixed
21.01.2015 J. Apostolakis  Tag: hadrontherapy-V10-01-02
           - Corrected definition of Steppers in LaserDrivenBeamLine (nvar=8 only for Electric field)
21.01.2015 F. Romano Tag: hadrontherapy-V10-01-01
           - Old files removed and README updated
15.12.2014 A. Tramontana, G. Milluzzo Tag: hadrontherapy-V10-01-00
           - Magnetic and electric grid files have been updated and size reduced.
27.10.2014 A. Tramontana Tag: hadrontherapy-V10-00-09
           - README update.
27.10.2014 L. Pandola, A. Tramontana Tag: hadrontherapy-V10-00-08
           - Local definition of Step Max process.
27.10.2014 L. Pandola, A. Tramontana, Tag: hadrontherapy-V10-00-07
           - Lock for the file reading, to avoid simultaneous accesses.
24.10.2014 A. Tramontana, Tag: hadrontherapy-V10-00-06
           - Removed /vis/ command call for batch mode.

22.10.2014 A. Tramontana, Tag: hadrontherapy-V10-00-05
           - Bug solved. Removed MasterGPS in HadrontherapyActionInitialization.cc

21.10.2014 A. Tramontana, Tag: hadrontherapy-V10-00-04
           - Testing of the laser driven beam line.

20.10.2014 A. Tramontana, Tag: hadrontherapy-V10-00-03
           - Fixed timeout problem and other things which caused failure of tag V10-00-02

16.10.2014 G.A.P. Cirrone; F. Romano; A. Tramontana; Tag: hadrontherapy-V10-00-02
	   -ConstructSDandField() has been added in LaserDrivenBeamLine.cc. Master GPS temporary added in HadrontherapyActionInitialization.cc
           - Add the no fringing field maps for the quadrupole system. Different macro commands for the LaserDrivenBeamLine has been updated.
           - Add the field map for the energy selector system with shifted central dipoles.
           - Add the macro inputFC.mac for the Faraday Cup input and removed the old electric field map
           - Added code to write output files in HadrontherapySteppingAction class
           - New map of the Electric field of Faraday Cup has been added
           - FaradayCup.cc and FaradayCup.hh files have been removed
           - FaradayCup complete geometry has been added in LaserDrivenBeamLine class
	   - FaradayCup detector has been added in the LaserDrivenBeamLine file
           - The Electric field of a typical Faraday Cup has been added in the /field folder;
	   - The LaserDrivenBeamLine has been created. It is made of ESS + Quadrupoles.
	   - The EnergySelector classes have been removed
	   - The field/ folder has been created for the magnetic and electric fields files
	   - History file corrected in minor typos;
	   - Main file modified where UI is called: now UI is called only is
	     no macro file is passed as argument;
	     When a macro file is passed, the run is considered 'in batch mode' and
	     no UI starts.
	   - Step max is setted bigger in the various macro files: the previous value was bringing 
	     computation times extremely long.
	   - Author names updated in the main() file and various minor revisions
	   - Now the PHYSLIST enviroment variable (to define an external Reference Physics
	     List) is correctly used also in batch mode
	     This command must be invoked before the command line for the geometry section.
	   - The 'batch.mac' macro file has been modified and now renamed
	     'bachMacro.mac' to be used only in batch-mode configuration.
	   - PhysicsLists class complety updated:
	     	-- The G4EmStandardPhysics_option4 now substitute the G4EmStandardPhyscis_option3 builder.
		   G4EmStandardPhysics_option4 in, at moment, the most accurate 
		   Electromagnetic physics in Geant4
	   	-- A new Physics List, called HADRONTHERAPY_1 and specifically implemented 
		   for this application, has been defined. 
		   HADONTHERAPY is defined as a collection of builders and is very similar to the QGSP_BIC_HP.
		   Reference Physcs List. 
		   HADRONTHERAPY_1 differs from the QGSP_BIC_HP in the followings:
		   --> It contains G4EmStandardPhysics_option4 in place of G4EmStandardPhysics;
		   --> It contains the builder G4RadioactiveDecayPhysics;
	        -- The defaults for the physics models are now complete and they corresponds 
		   to the HADROTHERAPY_1 apart that: 
		   --> G4HadronPhysicsQGSP_BIC is used in place of G4HadronPhysicsQGSP_BIC_HP
		   --> G4HadronElasticPhysics is used in place of G4HadronElasticPhysics_HP
		   Physics List
		-- Cuts messengers completely removed. Now cuts can be defined using 
		   the commands '/run/setCut'  'run/setCutForAGivenParticle', etc.
		-- Multiple G4Regions can now be defined in the PhysicsList class file, to apply specific
		   CUTs values via the command '/run/setCutForRegion <G4Region Name> <Cut value>'
		-- The new physics list HADRONTHERAPY_2 is created. This list contains the local 
		   implementation of a specific ion-ion inelastic hadronic physics. 
		   It use the QMD model to treat the ion-ion interactions.
		-- Livermore and Penelope electromagnetic physics removed
	   - HadrontherapyPhysicsLists.hh header file cleaned.
	   - Corrected the command moving the simulated .root file to the experimental folder in the 
	     defaultMcro.mac and batch.mac macro files
	   - The 'LocalINCLIonIonInelasticPhysic' has been removed
	   - The 'defaultMacro.mac', 'defaultMacroWithReferencePhysicsList.mac' and 'bachMacro.mac' have 
	     been competely updated and adapted to the new physics list
	   - Migration to MT have been done.
	     
13.02.2014 L.Pandola;	Tag: hadrontherapy-V10-00-01
           - Fix bug (missing inizialization) producing the problem 
             observed with x86_64-mac108-gcc42. Remove debug printout

12.02.2014 L.Pandola; 	Tag: hadrontherapy-V10-00-00
	   - Trying to debug problem observed with x86_64-mac108-gcc42
             (added debugging printout)

11.11.2013 F.Romano;	Tag: hadrontherapy-V09-06-08
           - Fixing compilation warnings for shadowing of variable

08.11.2013 F.Romano;    Tag: hadrontherapy-V09-06-07
           - README file revised

07.11.2013 L.Pandola;   Tag: hadrontherapy-V09-06-06
           - Fix additional left-over dependency on LEP

06.11.2013 F.Romano;    Tag: hadrontherapy-V09-06-05
           - Fixing dependencies on LEP package

05.11.2013 F.Romano;    Tag: hadrontherapy-V09-06-04
           - Fixing compilation warning in HadrontherapyLet class

04.11.2013 F.Romano;    Tag: hadrontherapy-V09-06-03
           - Included class for average LET computations

31.07.2013 A.Dotti;     Tag: hadrontherapy-V09-06-02
           - Fixing compilation warnings from clang32 (unused private
             data filed): in case of no ROOT found

30.07.2013 A.Dotti;     Tag: hadrontherapy-V09-06-01
           - Fixing compilation warnings from clang32 (unused private 
             data filed)

03.02.2013 V.Ivanchenko; Tag: hadrontherapy-V09-06-00
           - Renamed hadronic physics class

29.11.2012 G.Cosmo;      Tag: hadrontherapy-V09-05-13
           - More fixes for variable shadowing related to use of ROOT.

28.11.2012 G.Cosmo;      Tag: hadrontherapy-V09-05-12
           - Fixed cases of variable shadowing.

16.11.2012 F.Romano;     Tag: hadrontherapy-V09-05-11
           - In macro files included generic command for visualization vis/open OGL where needed.

08.11.2012 F.Romano;     Tag: hadrontherapy-V09-05-10
           - hadrontherapy.cc: fixed problem for referencePhysList if condition.
	   - README revised.
	   
29.10.2012 F.Romano;     Tag: hadrontherapy-V09-05-09
           - Added explicit inclusion of units and constants headers where missing.
	   - Executable renamed to the same name of the directory to avoid possible
	     problems with Mac/WIN (thanks to Ivana for the suggestion).

26.10.2012 F.Romano;     Tag: hadrontherapy-V09-05-08
           - Fixed region volume problem.

25.10.2012 F.Romano;     Tag: hadrontherapy-V09-05-07
           - Included GPS in batch.mac and minor changes.

24.10.2012 F.Romano;     Tag: hadrontherapy-V09-05-06
           - Added explicit inclusion of units and constants headers in new file.

24.10.2012 A.Ribon;      Tag: hadrontherapy-V09-05-05
           - Migrated to the new stopping physics.

23.10.2012 F.Romano;       Tag: hadrontherapy-V09-05-04
           - Removed IAEA detector and related files
	   - Added Carbon beam line
	   - Fixed system of units issues
	   - Added GPS
	   - Modified CMakeList.txt

11.10.2012 G.Cosmo;       Tag: hadrontherapy-V09-05-03
           - Explicit inclusion of units and constants headers.

10.07.2012 A.Ribon;       Tag: hadrontherapy-V09-05-02
	   - Replaced INCL with INCLXX.

13.06.2012 G.Cosmo;       Tag: hadrontherapy-V09-05-01
	   - Use std::string::size_type for string length instead of int
             in HadrontherapyMatrix::ion. Fixes compilation warning on gcc-4.7.

08.12.2011 G.Folger;      Tag: hadrontherapy-V09-05-00
	   - Added CMakeLists.txt file 

25.11.2011 G.Folger;      Tag: hadrontherapy-V09-04-08
	   - remove #include for not needed unistd.h in 
	      HadrontherapyMatrix.cc

21.11.2011 G.Folger;      Tag: hadrontherapy-V09-04-07
	   - remove #include for not needed unistd.h in 
	      HadrontherapyInteractionParameters; unistd.h does not exist on Windows
	   - Fix compilation error when G4ANALYSIS_USE_ROOT is set in 
	       HadrontherapyMatrix::TotalEnergyDeposit()

21.11.2011 G.A.P.Cirrone; Tag: hadrontherapy-V09-04-06
	   - Updated and cleaned physics
	   - Updated macro files;
	   
14.11.2011 G.A.P.Cirrone; Tag: hadrontherapy-V09-04-05
	   - Corrected macro files for a double call to the Decay physics
	   - Added the complete physics to the batch.mac file
	   - Improved and corrected the hadron_therapy.mac file

14.11.2011 G.A.P.Cirrone; Tag: hadrontherapy-V09-04-04
	   - Warnings removed.
	   - A batch.mac file is added to permit batch runs without visualisation.

02.11.2011 F.Romano; Tag: hadrontherapy-V09-04-03
	   - Migration to new G4Exception scheme

29.10.2011 G.A.P.Cirrone; Tag: hadrontherapy-V09-04-02
	   - Various warnings removed.
	   - Removed a wrong dependence on ROOT.

23.09.2011 G.A.P.Cirrone; Tag: hadrontherapy-V09-04-01
	   - Warnings removal.

06.06.2011 V.Ivanchenko; Tag: hadrontherapy-V09-04-00
           - Removed obsolete hadron elastic builders

09.12.2010 S.E.Mazzaglia; Tag: hadrontherapy-V09-03-17
           - Changed materials definition (by macro command) for Range Shifter with the NIST one. 
	     The same macro /beamLine/RangeShifter/RSMat must be used, but with 
	     NIST material name as parameter.

26.11.2010 G.A.P.Cirrone; Tag: hadrontherapy-V09-03-16
	   - General code review

25.11.2010 G.A.P.Cirrone; Tag: hadrontherapy-V09-03-15
	   - Updated the README file

18.11.2010 F.Romano; Tag: hadrontherapy-V09-03-14
	   - Removed the macro 'GUI.mac' contained in the macro folder: the GUI personalisation
	     are contained in the 'GUIPersonalisation.mac' file that runs
	     when the default macro files are called
	   - Fixed the modulatorMacro.mac for the modulator rotation and included the modulator.loop file
	     for automatic rotation of the modulator wheel.

18.11.2010 G.A.P.Cirrone; Tag: hadrontherapy-V09-03-13
	   - Deleted the addPackage command. Now the Reference Physics lists
	     can be activated setting the enviroment variable PHYSLIST to
	     the name of the list (i.e. export PHYSLIST=QGSP_BIC_EMY)
	   - The main file has been modified in order to launch different macro file 
	     depending if PHYSILIST variable is activated or not: if PHYSLIST is
	     activated the 'defaultMacroWithReferencePhysicsList.mac' file 
	     is used; if not the 'defaultMacro.mac' is used
	   - The 'packageQGSP_BIC.mac' macro file has been removed as now the activation of the Reference Physiocs Lists
	     is done via the PHYSLIST envitoment variable
	   - Range shifter and modulator positions corrected

18.11.2010 S.E.Mazzaglia; Tag: hadrontherapy-V09-03-12
	   - Updated Matrix class
	   - Changed the macro command name to store secondary particles to: /analysis/secondary <true/false>
	   - Added a macro command to store dose between runs: /analysis/writeDoseFile <filename>

18.11.2010 G.A.P.Cirrone; Tag: hadrontherapy-V09-03-11
	   - Removed redundant macro files
	   - Improved physics class
	   - Corrected position of primary proton beam

16.11.2010 J.Allison; Tag: hadrontherapy-V09-03-10
	   - Corrected use of G4UIExecutive.
	   - Fixed bug in HadrontherapyAnalysisFileMessenger.hh for case
             of G4ANALYSIS_USE_ROOT not set.

12.11.2010 G.A.P.Cirrone; Tag: hadrontherapy-V09-03-09
	   - Updated ans cleaned macro files

12.11.2010 G.A.P.Cirrone; Tag: hadrontherapy-V09-03-08
           - Main file adapted to the G4UIExecutive class

20.10.2010 G.A.P.Cirrone; Tag: hadrontherapy-V09-03-07
	   - Improved and updated some classes comments

19.10.2010 G.A.P.Cirrone; Tag: hadrontherapy-V09-03-06
	   - Physics list 'QGSP_BIC_EMY' definition has been updated
	     in the physics lists class to to be constistent with the definition 
       	     of the one defined in the Geant4 kernel ($G4INSTALL/source/physics_lists/)
	   - Macro file consequently updated

18.10.2010 G.A.P.Cirrone; Tag: hadrontherapy-V09-03-05
	   - Updated the physics class adding directly the QGSP_BIC_EMY
	     reference physics list
	   - Added the separation between cut for the transport beam line and detector
	   - Updated macro files
	   - Updated README

03.06.2010 J.Perl; Tag: hadrontherapy-V09-03-04
           - Updated vis usage

01.06.2010: G.A.P.Cirrone; Tag: harontherapy-V09-03-03
           - Added G4UIExecutive
           - Main file updated

22.05.2010 S.E.Mazzaglia; Tag: hadrontherapy-V09-03-02
	   - Updated ROOT scripts in folder RootScripts/proton/BraggPeak 

21.05.2010 S.E.Mazzaglia; Tag: hadrontherapy-V09-03-01
           - Solved some bugs related to the preprocessor variable G4ANALYSIS_USE_ROOT.

18.05.2010 S.E.Mazzaglia; Tag: hadrontherapy-V09-03-00
	   - Removed the possibility to calculate Let.
	   - Removed AIDA and variables: G4_ANALYSIS_USE and ANALYSIS_USE.
	   - Improved the commands to modify phantom/detector geometry
	   - Added a command to set cuts just only in the detector: /physic/setDetectorCuts
	   - Added the possibility to store dose & fluence for all secondary particles
	     produced in the same ASCII file. This feature can be switched on by the macro
	     command: /analysis/secondaries true/false.
	     

16.12.2009 S.E.Mazzaglia; Tag: hadrontherapy-V09-02-42
           - Added the possibility to calculate the Let too, using an ASCII file to store it.
	   - Added the new class HadrontherapyLet.
	   - Minor revisions of the code.

27.11.2009 S.E.Mazzaglia; Tag: hadrontherapy-V09-02-41
	   - Added the possibility to store dose and fluence for every particle/ion 
	     produced during the simulation 

25.11.2009 S.E.Mazzaglia & F.Romano; Tag: hadrontherapy-V09-02-40
           - Corrected a bug in HadrontherapyDetectorConstruction class 
	   - Added G4RadiactivedecayPhysics class to the Physics List. 

22.11.2009 S.E.Mazzaglia; Tag: hadrontherapy-V09-02-39
           - Correction in the initialization of the passiveProtonBeamLine class.

20.11.2009 P.Kaitaniemi; Tag: hadrontherapy-V09-02-38
           - Fixes and updates to the analysis scripts in RootScripts/iaeaBenchmark
           - Updated RootScripts/README

19.11.2009 G.A.P.Cirrone; Tag: hadrontherapy-V09-02-37
           - Minor revisions;

18.11.2009 G.A.P.Cirrone; Tag: hadrontherapy-V09-02-36
           - Correction for a missing function in the HadrontherapyPhysicsListMessenger.cc class file

18.11.2009 G.A.P.Cirrone; Tag: hadrontherapy-V09-02-35
           - Updated the README file and general code revision for the 
             Geant4 9.3 release

17.11.2009 S.E.Mazzaglia; Tag: hadrontherapy-V09-02-34
	   - Added some functionalities in order to change, via messengers, the geometry, the voxelization 
	     of the detector, and the disposition in the space of the detector/phantom.
	   - Added the possibility to calculate the stopping powers for ions too.
	   - Modified the HadrontherapyDetectorROGeometry class constructor.
	   - Various additions and fixes to the matrix class.

10.11.2009 G.A.P.Cirrone; Tag: hadrontherapy-V09-02-33
           - Added the possibility to make a graphical user interface (GUI) using the QT libraries. 
             To start a GUI the correct enviroment variables must be configured (see the Geant4 installation 
             manual) and a QT version must be installed  

05.10.2009 P.Kaitaniemi; Tag: hadrontherapy-V09-02-32
           - Fixed a compilation error with GCC 4.4

28.09.2009 S.E.Mazzaglia; Tag: hadrontherapy-V09-02-31
           - Now the HadrontherapyDetectorConstruction class implements only phantom and detector [RO]geometry.
	     World volume and the rest of the geometry is inside another class whose messenger allows 
	     modification by users with the same old syntax
	   - Removed HadrontherapyInteractionParameters from the HadrontherapyGeometryController class 
			  
20.09.2009 P.Kaitaniemi; Tag: hadrontherapy-V09-02-30
           - Added ability to use command based scoring
           - IAEA geometry: produce Bragg peak using command based scoring
           - Various additions and fixes to the IAEA ROOT scripts
           - Additional data extracted from E. Haettner's thesis

20.09.2009 P.Kaitaniemi; Tag: hadrontherapy-V09-02-29
           - Moved HadrontherapyInteractionParameters initialization to the HadrontherapyGeometryController class

11.09.2009 G.A.P.Cirrone; Tag: hadrontherapy-V09-02-28
           - Added messengers to control the event number and to draw only particular tracks.
             The new command are accessible via the command /event/drawTracks and /event/PrintEventNumber  

08.09.2009 S.E.Mazzaglia; Tag: hadrontherapy-V09-02-27
           - Added a method to retrieve stopping power values for protons, alphas and electrons.
	     This method is implemented in the new class HadrontherapyInteractionParameters

13.08.2009 P.Kaitaniemi; Tag: hadrontherapy-V09-02-26
           - Fixed compilation errors when AIDA analysis is used

03.08.2009 P.Kaitaniemi; Tag: hadrontherapy-V09-02-25
           - Added ability to select the geometry using G4 macro commands
           - Improved plotting scripts and improved normalization for the
             fragment energy distribution

27.07.2009 P.Kaitaniemi; Tag: hadrontherapy-V09-02-24
           - IAEA geometry: added ability to remove the phantom by setting its thickness to zero
           - Collect simulation metadata: number of events, distance of the detector (IAEA geometry),
             depth of the phantom (IAEA geometry), beam energy, energy error
           - Added ability to produce angular distribution plots

17.07.2009 P.Kaitaniemi; Tag: hadrontherapy-V09-02-23
           - Tuned geometry of the E. Haettner experimet (IAEADetectorConstruction)
           - Adopted G4ANALYSIS_USE_ROOT flag to activate ROOT analysis
           - Improved plotting scripts

13.07.2009 P.Kaitaniemi; Tag: hadrontherapy-V09-02-22
           - Added the first version of the IAEA benchmark geometry based on
              E. Haettner's thesis
           - Collect fragment energy distributions
           - Added fragment energy distribution data
           - ROOT script preparing an IAEA benchmark figure with data

08.07.2009 G.A.P.Cirrone; Tag: hadrontherapy-V09-02-21
           - Removed the README file in ASCII format 

27.06.2009 G.A.P.Cirrone; Tag: hadrontherapy-V09-02-20
           - Eliminated not necessary dependences in the SteppingAction class
           - Added folders containing experimental data (its name is 'experimentalData') and 
             ROOT scripts ('RootScripts') where Root scripts are stored to
             perform a fast comparison with experimental data.
             A folder where simulation results are stored is also created. Its
             name is 'simulationResults'. 

27.06.2009 P. Kaitaniemi; Tag hadrontherapy-V09-02-19
	   - Added ability to change the name of the output file between runs

26.06.2009 P. Kaitaniemi; Tag hadrontherapy-V09-02-18
	   - Fixed a bug in the physics list. Local ion-ion hadronic physics was not loaded due
	     to an uninitialized variable (locIonIonInelasticIsRegistered)
	   - Ability to use /analysis/setAnalysisFile <filename> to set the name of the output file
	   - Added Doxygen documentation tags to the source code and Doxyfile for
	     documentation settings
	   - Support for direct use of ROOT for analysis in addition to the default AIDA one
	   - Local INCL/ABLA physics list for deuterons, tritons and alphas

26.06.2009 G.A.P.Cirrone; Tag hadrontherapy-V09-02-17
           - Corrected the definition of total inelastic cross section for light ions in the 
             LocalIonIonInelasticPhysic.cc file

26.06.2009 G.A.P.Cirrone; Tag: hadrontherapy-V09-02-16
           - Momentarely removed the class for LET calculation 
             for a conflict with the general structure of Hadrontherapy

10.06.2009 G.A.P.Cirrone; Tag: hadrontherapy-V09-02-15
           - Corrected a bug in the detector construction

05.06.2009 G.A.P.Cirrone and S.Mazzaglia; Tag: hadrontherapy-V09-02-14
           - Added a preliminary version of classes for LET calculation.

30.05.2009 G.A.P.Cirrone; Tag hadrontherapy-V09-02-13
           - README_Hadrontherapy.pdf file updated and improved

29.05.2009 G.A.P.Cirrone; Tag hadrontherapy-V09-02-12
           - Implemented the new Low energy models (Livermore and Penelope)
             now migrated to the new interface (common to the Standard models)
	     Livermore and Penelope models can be implemented:
             Activating the buit-in physics lists (G4EmLivermorePhysics and G4EmPenelopePhysics)
             Activation can be done via macro commands in the usual way

19.05.2009 F.Romano; Tag hadrontherapy-V09-02-11
           - Corrected the stepMax value in each macro in order to avoid 
	     a wrong dose deposition in the first slice.
	   - Modified and revised the README and macro files.

15.05.2009 G.A.P.Cirrone; Tag hadrontherapy-V09-02-10
           - Corrected a but in the call of a physic list
           - Corrected a bug in the proton_therapy.mac file

14.05.2009 G.A.P.Cirrone; Tag hadrontherapy-V09-02-09
           - Definitively added the StepMax class to change the max step lenght

14.05.2009  G.A.P.Cirrone; Tag: hadrontherapy-V09-02-08
           - README file improved.

14.05.2009  G.A.P.Cirrone; Tag: hadrontherapy-V09-02-07
	   - Physic implementation completely changed. Now Hadrontherapy can be launched 
             with physics lists, packages and built-in physic models;
             In the README we give some suggestion in the physic models to use.
             All models can be activated via macro command.
           - Improved HadrontherapyModulator.cc file;

29.03.2009  G.A.P.Cirrone; Tag: hadrontehrapy-V09-02-06
	   - Extended limits of Binary Cascade in HIProtonNeutronBinary.cc
	   - Corrected and improved "default" macro file.
	   - Improved HadrontherapyDetectorConstruction.cc file;
           - Comments on HIProtonneutronPrecompound.cc file;
           - Improved physicsHadronicPrecompound.mac file;

18.03.2009  G.A.P.Cirrone; Tag: hadrontherapy-V09-02-05
           - Corrected macro file for the use of the QGSP_BIC package

18.03.2009: G.A.P.Cirrone; Tag: hadrontherapy-V09-02-04
	   - Added commands to Detector Messenger to give the possibility to choose beetween
	     different beam lines
	   - Added comments to HadrontherapyMatrix;
	   _ Improved code and added comments to HIProtonNeutronPrecompound and
	     HIProtonNeutronBinary;
	   - Corrected macro file using the Precompound inelastic model;
	   - Removed the class file HadrontherapyMaterial and improved all the geometry files

05.03.2009: G.A.P.Cirrone; Tag: hadrontherapy-V09-02-03
	   - Updated README

02.03.2009: G.A.P.Cirrone; Tag: hadrontherapy-V09-02-02
           - Changed name of HadrontherapyBeamLine file to PassiveProtonBeamLine

02.03.2009: G.A.P.Cirrone; Tag:  hadrontherapy-V09-02-01
	   - Added generation of ASCII file with dose deposited in the phantom voxels

22.02.2009: G.Folger; Tag: hadrontherapy-V09-02-00
           - Fix a compilation warning on used ionShenCrossSection in
	     HIIonLEP.cc

20.11.2008: G.A.P.Cirrone and M.Russo; Tag: hadrontherapy-V09-01-11
	   - Fixed path of macro files

20.11.2008: G.A.P.Cirrone; Tag: hadrontherapy-V09-01-10
           - Updated the History file
           - Corrected cross sections definitions for ions
           - Revised the definition and use of the electromagnetic options
             for the use with the Standard models
             
20.11.2008: G.A.P.Cirrone and M.Russo; Tag: hadrontherapy-V09-01-09
           - Updated readme and improved the comments. 

20.11.2008: G.A.P.Cirrone and M.Russo; Tag: hadrontherapy-V09-01-08
	   - Add new approach for the choice of the physic models.
             Now packaged physic lists can be used alternatively 
             to the the physic models implemented in the class files
             EM, HE and HI. 
           - Improved the electromagnetic models for the generic ions

22.09.2008 G.A.P.Cirrone; Tag: hadrontherapy-V09-01-07
           - Corrected the G4eBremsstrahlung() process in the file 
             EMElectronStandard.cc;
           - Updated the head of the History file;

17.09.2008 A.Lechner; Tag: hadrontherapy-V09-01-06
           - Corrections in the Low Energy Electromagnetic physic lists.

15.06.2008 G.A.P.Cirrone; Tag: hadrontherapy-V09-01-05
	   - Removed AIDA call from GNUmakefile 

19.05.2008 G.A.P.Cirrone tag hadrontherapy-V09-01-04
           - Added in the beam line the MOPI detector. MOPI is a microstrip
             detector that, in the real case, is able to check during
             the treatment, the beam simmetry of the therapy beam.
             Its physical structure is here exactly simulated so that 
             the its contribute to the energy loss can be take into account;
             A detailed description if the detector can be found in 
             NIM A 572 (2007) 1094-1101 and its references.
	   - Corrected the position of the Phantom and Detector;
           - Added variables to the HadrontherapyBeamLine.cc file;
           - Added comments to the HadrontherapyBeamLine.cc file
             to improve the clearness.
           - Updated the README file.
           - Changed the default dimensions of histogram bins 
             (from 200 um to 100 um).

09.03.2008 G.A.P.Cirrone tag hadrontherapy-V09-01-03
	   - Completed the update of the new beam line

09.03.2008 G.A.P.Cirrone tag hadrontherapy-V09-01-02
	   - Added comments to the PhysicsList class;
	   - Eliminated not used production cuts in PhysicsList;
	   - Added NIST definition materials in Material class;
	   - Code review of the DetectorConstruction class;
           - Changed name of the volume where the energy deposited is collected
             from "phantom" to "detector". "Detector" is a more appropiate 
             name.
	   - Changed name of the volume where the detector is inserted from 
	     "patient" to the more appropriate "Water Phantom";

03.03.2008 G.A.P.Cirrone tag hadrontherapy-V09-01-01
           - Added the generation of .root file;
	   - Removed a segmentation due to an uncorect pointer
	     in the EMHadronIonStandard class;
	   - Added options for an accurate use of Standard electromagnetic models
	     in the EMHadronIonStandard, EMElectronStandard, 
	     EMPositronStandard, EMPhotonStandard  and EMMuonStandard classes;
	   - Added a macro file (physicsElectromagneticStandard.mac) 
 	     for the use of Hadrontherapy with the Standard Electromagnetic models;
	   - Corrected in the defaultMacro.mac, a wrong command for the 
 	     activation of the Standard Electromagnetic models;
         
29.02.2007 G.A.P.Cirrone tag hadrontherapy-V09-01-00
	   - Updated README

16.11.2007 Anton Lechner tag hadrontherapy-V09-00-00
           Updated physics commands in macro files
           Updated README

07.06.2007 MGP tag hadrontherapy-V08-03-04
           On top of head as on 07.06.2007
           Physics component redesigned and reimplemented by Anton Lechner
           as a result of code review
           Physics version to be used for Bragg peak validation paper
           Note: previous tag hadrontherapy-V09-00-00 does not respect
           the tag numbering scheme, to be cvs removed

04.06.2007 G.A.P. Cirrone (harontherapy-V08-03-03)
	 - Various bugs fixed and random engine changed.

04.06.2007 G.A.P. Cirrone (hadrontherapy-V09-00-00)
	 - Changed the random engine.
 
10.05.2007 G.A.P. Cirrone (hadrontherapy-V08-03-02)
	 - Improved the modulator geometry and fixed a bug on its rotation; 

07.05.2007 G.A.P. Cirrone (hadrontherapy-V08-02-02)
	 - Geometry upgrade(hadrontherapyBeamLine class) according 
           to the experimental CATANA proton therapy beam line; 

23.04.2007 S. Guatelli (hadrontherapy-V08-02-01)
         - Compilation error corrected - human error of Susanna Guatelli.
         - The file src/HadrontherapyProtonBertiniElastic.cc
           and the file include/HadrontherapyProtonBertiniElastic.hh
           have been removed
         - This class is part of the previous version of the hadrontherapy 
	   application,and it not necessary anymore in the current version 
           of the hadrontherapy application.

24.1.2007 S. Guatelli (hadrontherapy-V08-02-00)
         - Design iteration
         - Physics lists added
              
16.11.2006 S. Guatelli (hadrontherapy-V08-01-05)
         - Physics lists cleaned

15.11.2006  G.A.P. Cirrone (hadrontherapy-V08-01-04)
	 - Changed cut and cut per region default values. Improved Max Step function
	   along the beam line.

14.11.2006  J. Allison
- Removed /vis/scene/transientsAction none (no longer available).


02.10.2006  G.A.P. Cirrone and S. Guatelli(hadrontherapy-V08-01-03)
         - Bug fix in the geometry (hadrontherapy beam line)
            problem: wrong volume hierarchy

24.07.2006  S. Guatelli (hadrontherapy-V08-01-00)
	 - Bug fix in the HadrontherapyProtonPrecompound.cc concerning
           neutron fission and capture

30.05.2006  S. Guatelli (hadrontherapy-V08-00-04)
         - Bug deleted in all the hadronic phsyics lists; the hadronic
           processes are not activated for He3 at the moment.

17.05.2006  S. Guatelli (hadrontherapy-V08-00-02)
         - Bug deleted with He3 in the HadrontherapyProtonPrecompound physics
           list

16.05.2006  S. Guatelli (hadrontherapy-V08-00-01)
         - Comments in the primary particle component and in the physics component

18.04.2006 G.A.P. Cirrone (hadrontherapy-V07-08-01)
         - Improved the random generator;
         - Corrected a bug in the primary generator action
           on SetParticleMomentum();
         - Changed the beam line according with a modification in the real beam line
           considered as model (the CATANA proton therapy beam line at LNS-INFN, Catania (I));

06.12.2005 S. Guatelli (hadrontherapy-V07-01-05)
         - Particles updated
         - Updated macros
 
23.11.2005 S. Guatelli (hadrontherapy-V07-01-04)
         - File ASCII as output file deleted

02.09.2005 S. Guatelli (hadrontherapy-V07-01-03)
         - Added Hadronic physics models
 
08.07.2005 S. Guatelli (hadrontherapy-V07-01-02)
         - Added alternative stopping power parameterisations for protons:
           ICRU49, Ziegler 1977, Ziegler 1985, Ziegler (SRIM) 2000
 
30.05.2005 G.A.P. Cirrone and S.Guatelli (hadrontherapy-V07-00-06)
	 - Removed warnings;
	 - Analisys with AIDA 3.2.1 and PI 1.3.3;
	 - Corrected bug in the modulator wheel; 
	 - Added the hadronic physic list for proton and ion;
	 - Code review	

18.05.2005 Susanna Guatelli (hadrontherapy-V07-00-03)
	- Delete public variables
	- Optimisation of the detector construction
	- Optimisation of the sensitive detector
	- Modular physics introduced

03.05.2005  John Allison  (examples-V07-00-03)
	- Replaced vis manager with G4VisExecutive.

28.04.2005 - M.Piergentili
		Modular Physics list, Primary Generator Messenger,
		updated README and defaultMacro.mac,
		tag: hadrontherapy-V07-00-02


25.02.2005 - G.A.P. Cirrone & M.Piergentili, update of the physiscList
		class to correct some bugs.
30.11.2004 - S. Guatelli, 
                correct analysis, tag: hadrontherapy-V06-02-00
                
16.07.2004 - G.A.P. Cirrone
		AIDA classes inserted. Generation of an .hbk file 
		containing the depth dose distribution.

28.05.2004 - S. Guatelli
                Update of the README, code review for public release.

29.03.2004 - G. Russo
		Redefinition of the physics list with hadronic model.

14.03.2004 - G.A.P. Cirrone
		Attempt to insert AIDA class for .xml file creation.

13.03.2004 - G.A.P. Cirrone
		Redefinition of the design.

27.02.2004 - G.A.P. Cirrone
             	Created, first version.






